scsi_target_reap
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_target_reap — check to see if target is in use and destroy if not

## Synopsis

`void scsi_target_reap (` | struct scsi_target * | starget`)`;

## Arguments

`starget`

  target to be checked

## Description

This is used after removing a LUN or doing a last put of the target it checks atomically that nothing is using the target and removes it if so.

Prev | Up | Next
scsi_alloc_target | Home | sanitize_inquiry_string